Index: trunk/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- trunk/src/lib/graphics/render2D/element_2d.cc	(revision 9391)
+++ trunk/src/lib/graphics/render2D/element_2d.cc	(revision 9406)
@@ -104,5 +104,5 @@
       deleteNode = tmp;
       tmp++;
-      //      printf("TEST::%s(%s) %s\n", (*deleteNode)->getName(), (*deleteNode)->getClassName(), this->getName());
+      //      printf("TEST::%s(%s) %s\n", (*deleteNode)->getName(), (*deleteNode)->getClassCName(), this->getName());
       if ((this->parentMode & E2D_PROHIBIT_CHILD_DELETE) ||
           ((*deleteNode)->parentMode & E2D_PROHIBIT_DELETE_WITH_PARENT))
@@ -214,7 +214,7 @@
   {
     PRINTF(2)("Unable to set %s to layer %s, because it's parent(%s) is of higher layer %s\n",
-              this->getName(),
+              this->getCName(),
               Element2D::layer2DToChar(layer),
-              this->parent->getName(),
+              this->parent->getCName(),
               Element2D::layer2DToChar(this->parent->getLayer()));
     layer = this->parent->getLayer();
@@ -602,6 +602,6 @@
       {
         PRINTF(2)("Layer '%s' of Child(%s::%s) lower than parents(%s::%s) layer '%s'. updating...\n",
-                  Element2D::layer2DToChar(child->getLayer()),child->getClassName(), child->getName(),
-                  this->getClassName(), this->getName(), Element2D::layer2DToChar(this->layer));
+                  Element2D::layer2DToChar(child->getLayer()),child->getClassCName(), child->getCName(),
+                  this->getClassCName(), this->getCName(), Element2D::layer2DToChar(this->layer));
         child->layer = this->layer;
         this->children.push_front(child);
@@ -627,5 +627,5 @@
     {
       PRINTF(1)("Tried to reparent2D to own child '%s::%s' to '%s::%s'.\n",
-                this->getClassName(), this->getName(), child->getClassName(), child->getName());
+                this->getClassCName(), this->getCName(), child->getClassCName(), child->getCName());
       child->parent = NULL;
     }
@@ -701,5 +701,5 @@
     {
       (*reparenter)->reparent2D();
-      PRINTF(5)("REPARENTED TO: %s::%s\n",(*reparenter)->getParent2D()->getClassName(),(*reparenter)->getParent2D()->getName());
+      PRINTF(5)("REPARENTED TO: %s::%s\n",(*reparenter)->getParent2D()->getClassCName(),(*reparenter)->getParent2D()->getCName());
     }
   }
@@ -723,5 +723,5 @@
   else
     PRINTF(2)("Not Found Element2D's (%s::%s) new Parent by Name: %s\n",
-              this->getClassName(), this->getName(), parentName.c_str());
+              this->getClassCName(), this->getCName(), parentName.c_str());
 }
 
@@ -865,5 +865,5 @@
         Vector2D tmp = *this->toCoordinate;
         this->setRelCoor2D(tmp);
-        PRINTF(5)("SmoothMove of %s finished\n", this->getName());
+        PRINTF(5)("SmoothMove of %s finished\n", this->getCName());
       }
     }
@@ -879,5 +879,5 @@
         float tmp = *this->toDirection;
         this->setRelDir2D(tmp);
-        PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+        PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
       }
     }
@@ -893,5 +893,5 @@
         delete this->toSize;
         this->toSize = NULL;
-        PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+        PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
       }
     }
@@ -900,5 +900,5 @@
     this->lastAbsCoordinate = this->absCoordinate;
 
-    PRINTF(5)("Element2D::update - %s - (%f, %f)\n", this->getName(), this->absCoordinate.x, this->absCoordinate.y);
+    PRINTF(5)("Element2D::update - %s - (%f, %f)\n", this->getCName(), this->absCoordinate.x, this->absCoordinate.y);
 
 
@@ -937,5 +937,5 @@
                  projectPos+1,
                  projectPos+2);
-      //       printf("%s::%s  == %f %f %f :: %f %f\n", this->getClassName(), this->getName(),
+      //       printf("%s::%s  == %f %f %f :: %f %f\n", this->getClassCName(), this->getName(),
       //              this->bindNode->getAbsCoor().x,
       //              this->bindNode->getAbsCoor().y,
@@ -1026,6 +1026,6 @@
     PRINT(0)(" -");
   PRINT(0)("E2D(%s::%s);AC:(%0.2f, %0.2f);RC:(%0.2f, %0.2f);AD(%0.2f)->%s;Layer:(%s)\n",
-           this->getClassName(),
-           this->getName(),
+           this->getClassCName(),
+           this->getCName(),
            this->absCoordinate.x,
            this->absCoordinate.y,
Index: trunk/src/lib/graphics/render2D/image_plane.cc
===================================================================
--- trunk/src/lib/graphics/render2D/image_plane.cc	(revision 9391)
+++ trunk/src/lib/graphics/render2D/image_plane.cc	(revision 9406)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/lib/graphics/render2D/render_2d.cc
===================================================================
--- trunk/src/lib/graphics/render2D/render_2d.cc	(revision 9391)
+++ trunk/src/lib/graphics/render2D/render_2d.cc	(revision 9406)
@@ -22,5 +22,5 @@
 #include "element_2d.h"
 
-using namespace std;
+
 
 /**
Index: trunk/src/lib/graphics/shader.cc
===================================================================
--- trunk/src/lib/graphics/shader.cc	(revision 9391)
+++ trunk/src/lib/graphics/shader.cc	(revision 9406)
@@ -32,5 +32,5 @@
 #endif
 
-using namespace std;
+
 
 
Index: trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9391)
+++ trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-using namespace std;
+
 #define QUADTREE_MATERIAL_COUNT       4
 
Index: trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9391)
+++ trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "util/list.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9391)
+++ trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9406)
@@ -23,5 +23,5 @@
 #include "compiler.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/graphics/text_engine/limited_width_text.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9391)
+++ trunk/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9406)
@@ -160,4 +160,4 @@
 void LimitedWidthText::debug() const
 {
-  printf("Debug %s::%s \n", this->getClassName(), this->getName() );
+  printf("Debug %s::%s \n", this->getClassCName(), this->getCName() );
 }
Index: trunk/src/lib/graphics/text_engine/multi_line_text.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9391)
+++ trunk/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9406)
@@ -152,5 +152,5 @@
 void MultiLineText::debug() const
 {
- printf("Debug %s::%s: %d lines\n", this->getClassName(), this->getName(), this->getLineCount());
+ printf("Debug %s::%s: %d lines\n", this->getClassCName(), this->getCName(), this->getLineCount());
 
  std::string tmpText = this->text();
Index: trunk/src/lib/graphics/text_engine/text.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text.cc	(revision 9391)
+++ trunk/src/lib/graphics/text_engine/text.cc	(revision 9406)
@@ -28,9 +28,10 @@
  */
 Text::Text(const std::string& fontFile, unsigned int textSize)
-    : _font(fontFile, FONT_DEFAULT_RENDER_SIZE)
+    // : _font(fontFile, FONT_DEFAULT_RENDER_SIZE)
 {
   this->setClassID(CL_TEXT, "Text");
 
   // initialize this Text
+  this->setFont(fontFile, FONT_DEFAULT_RENDER_SIZE);
   this->_size = textSize;
   this->setSizeY2D(textSize);
@@ -278,5 +279,5 @@
 void Text::debug() const
 {
-  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getName(), this->_font.getName(), this->_text.c_str());
+  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getCName(), this->_font.getCName(), this->_text.c_str());
   //  PRINT(0)("Color: r=%0.2f g=%0.2f b=%0.2f a=%0.2f\n", this->_color.r(), this->_color.g(), this->_color.b(), this->_color.a());
 }
Index: trunk/src/lib/graphics/text_engine/text_engine.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text_engine.cc	(revision 9391)
+++ trunk/src/lib/graphics/text_engine/text_engine.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "font.h"
 
-using namespace std;
+
 
 #include <stdlib.h>
@@ -122,5 +122,5 @@
 void TextEngine::debug() const
 {
-  const list<BaseObject*>* textList = ClassList::getList(CL_TEXT);
+  const std::list<BaseObject*>* textList = ClassList::getList(CL_TEXT);
   if (textList != NULL)
   {
@@ -130,5 +130,5 @@
     PRINT(0)("Reference: %p; Text Counts: %d\n", this, textList->size());
 
-    list<BaseObject*>::const_iterator text;
+    std::list<BaseObject*>::const_iterator text;
     for ( text = textList->begin(); text != textList->end(); text++)
       dynamic_cast<Text*>(*text)->debug();
Index: trunk/src/lib/gui/gl/Makefile.am
===================================================================
--- trunk/src/lib/gui/gl/Makefile.am	(revision 9391)
+++ trunk/src/lib/gui/gl/Makefile.am	(revision 9406)
@@ -13,5 +13,4 @@
 		\
 		glgui_handler.cc \
-		signal_connector.cc \
 		glgui_mainwidget.cc \
 		glgui_widget.cc \
@@ -38,5 +37,4 @@
 		glmenu/glmenu_imagescreen.h \
 		\
-		signal_connector.h \
 		glgui.h \
 		glgui_defs.h \
Index: trunk/src/lib/gui/gl/glgui_button.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_button.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_button.cc	(revision 9406)
@@ -79,10 +79,10 @@
   {
     GLGuiWidget::clicking(pos);
-    emit(clicked());
+    clicked.emit();
   }
   void GLGuiButton::releasing(const Vector2D& pos, bool focused)
   {
     GLGuiWidget::releasing(pos, focused);
-    emit(released());
+    released.emit();
   }
 
@@ -103,7 +103,7 @@
     {
       if (event.bPressed)
-        emit(pushed());
+        clicked.emit();
       else
-        emit(released());
+        released.emit();
       return true;
     }
Index: trunk/src/lib/gui/gl/glgui_button.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_button.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_button.h	(revision 9406)
@@ -42,6 +42,6 @@
       virtual bool processEvent(const Event& event);
 
-      DeclareSignal0(clicked);
-      DeclareSignal0(released);
+      sigslot::signal0<> clicked;
+      sigslot::signal0<> released;
 
 
Index: trunk/src/lib/gui/gl/glgui_checkbutton.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_checkbutton.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_checkbutton.cc	(revision 9406)
@@ -55,5 +55,5 @@
   {
     this->bActive = bActive;
-    emit(this->toggled(this->bActive));
+    this->toggled.emit(this->bActive);
   }
 
Index: trunk/src/lib/gui/gl/glgui_checkbutton.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_checkbutton.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_checkbutton.h	(revision 9406)
@@ -34,5 +34,5 @@
     virtual void update() {};
 
-    DeclareSignal1(toggled, bool);
+    sigslot::signal1<bool> toggled;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_frame.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_frame.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_frame.cc	(revision 9406)
@@ -57,5 +57,5 @@
     else
     {
-      PRINTF(2)("Frame %s is already filled, not filling with %s\n", this->getName(), widget->getName());
+      PRINTF(2)("Frame %s is already filled, not filling with %s\n", this->getCName(), widget->getCName());
     }
   }
Index: trunk/src/lib/gui/gl/glgui_image.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_image.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_image.h	(revision 9406)
@@ -34,5 +34,5 @@
     virtual void draw() const;
 
-    DeclareSignal0(imageChanged);
+    sigslot::signal0<> imageChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_inputline.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_inputline.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_inputline.cc	(revision 9406)
@@ -124,5 +124,5 @@
     this->resize();
     this->setFrontColor(Color(1,1,1,1), true);
-    emit(this->textChanged(this->_text.text()));
+    this->textChanged.emit(this->_text.text());
   }
 
@@ -146,5 +146,5 @@
   void GLGuiInputLine::pushEnter()
   {
-    emit(this->enterPushed(this->_text.text()));
+    this->enterPushed.emit(this->_text.text());
     if (this->_clearOnEnter)
       this->clear();
Index: trunk/src/lib/gui/gl/glgui_inputline.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_inputline.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_inputline.h	(revision 9406)
@@ -49,6 +49,6 @@
     virtual bool processEvent(const Event& event);
 
-    DeclareSignal1(textChanged, const std::string&);
-    DeclareSignal1(enterPushed, const std::string&);
+    sigslot::signal1<const std::string&> textChanged;
+    sigslot::signal1<const std::string&> enterPushed;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_slider.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_slider.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_slider.cc	(revision 9406)
@@ -77,5 +77,5 @@
     this->_handle.setCenter(this->sliderPosition(), borderTop() + (this->getSizeY2D() - borderTop() - borderBottom()) / 2.0);
 
-    emit(valueChanged(this->_value));
+    valueChanged.emit(this->_value);
   }
 
@@ -90,5 +90,5 @@
     {
       this->_minValue = minimum;
-      emit(rangeChanged(this->_minValue, this->_maxValue));
+      rangeChanged.emit(this->_minValue, this->_maxValue);
     }
     if (this->value() < this->min())
@@ -107,5 +107,5 @@
     {
       this->_maxValue = maximum;
-      emit(rangeChanged(this->_minValue, this->_maxValue));
+      rangeChanged.emit(this->_minValue, this->_maxValue);
     }
     if (this->value() > this->max())
@@ -126,5 +126,5 @@
       this->_minValue = minimum;
       this->_maxValue = maximum;
-      emit(rangeChanged(this->_minValue, this->_maxValue));
+      rangeChanged.emit(this->_minValue, this->_maxValue);
     }
     if (this->value() < this->min())
Index: trunk/src/lib/gui/gl/glgui_slider.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_slider.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_slider.h	(revision 9406)
@@ -51,6 +51,6 @@
     virtual void draw() const;
 
-    DeclareSignal1(valueChanged, float);
-    DeclareSignal2(rangeChanged, float, float);
+    sigslot::signal1<float> valueChanged;
+    sigslot::signal2<float, float> rangeChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_text.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_text.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_text.cc	(revision 9406)
@@ -113,5 +113,5 @@
     this->resize();
     this->setFrontColor(_changedTextColor, true);
-    emit(this->textChanged(this->_text.text()));
+    this->textChanged.emit(this->_text.text());
   }
 
Index: trunk/src/lib/gui/gl/glgui_text.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_text.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_text.h	(revision 9406)
@@ -33,4 +33,5 @@
     void setChangedTextColor(const Color& color);
 
+    void setLineWidth(float lineWidth) { this->_text.setLineWidth(lineWidth); };
     void setDotsPosition(LimitedWidthText::DotsPosition dotsPosition) { this->_text.setDotsPosition(dotsPosition); };
 
@@ -40,5 +41,5 @@
     virtual void draw() const;
 
-    DeclareSignal1(textChanged, const std::string&);
+    sigslot::signal1<const std::string&> textChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_textfield.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_textfield.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_textfield.cc	(revision 9406)
@@ -112,5 +112,5 @@
     this->resize();
     this->setFrontColor(_changedTextColor, true);
-    emit(this->textChanged(this->_text.text()));
+    this->textChanged.emit(this->_text.text());
   }
 
Index: trunk/src/lib/gui/gl/glgui_textfield.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_textfield.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_textfield.h	(revision 9406)
@@ -38,5 +38,5 @@
     virtual void draw() const;
 
-    DeclareSignal1(textChanged, const std::string&);
+    sigslot::signal1<const std::string&> textChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_widget.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_widget.cc	(revision 9406)
@@ -288,17 +288,4 @@
     this->setWidgetSize(Vector2D(x, y));
   }
-
-
-
-  void GLGuiWidget::connect(GLGuiWidget* sender, Signal& signal, BaseObject* receiver, Slot executor)
-  {
-    sender->connect(signal, receiver, executor);
-  }
-
-  void GLGuiWidget::connect(Signal& signal, BaseObject* receiver, Slot executor)
-  {
-    signal.push_back(SignalConnector(receiver, executor));
-  }
-
 
   void GLGuiWidget::show()
@@ -806,5 +793,5 @@
     //this->_currentStyle = this->_style[state];
     this->_state = state;
-    PRINTF(4)("%s::%s Switches to state %s\n", this->getClassName(), this->getName(), OrxGui::StateString[state].c_str());
+    PRINTF(4)("%s::%s Switches to state %s\n", this->getClassCName(), this->getCName(), OrxGui::StateString[state].c_str());
 
     this->animateBack();
@@ -874,7 +861,7 @@
   void GLGuiWidget::debug(unsigned int level) const
   {
-    PRINT(0)("Debug of %s::%s - WidgetPart ", this->getClassName(), this->getName());
+    PRINT(0)("Debug of %s::%s - WidgetPart ", this->getClassCName(), this->getCName());
     if (_parent != NULL)
-      PRINT(0)("- Parent %s::%s ", _parent->getClassName(), _parent->getName());
+      PRINT(0)("- Parent %s::%s ", _parent->getClassCName(), _parent->getCName());
     PRINT(0)("- State: %s", StateString[_state].c_str());
 
Index: trunk/src/lib/gui/gl/glgui_widget.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_widget.h	(revision 9391)
+++ trunk/src/lib/gui/gl/glgui_widget.h	(revision 9406)
@@ -17,5 +17,5 @@
 
 #include "event.h"
-#include "signal_connector.h"
+#include "sigslot/signal.h"
 
 namespace OrxGui
@@ -70,9 +70,4 @@
     void release(const Vector2D& pos);
     bool clickable() const { return this->_clickable; };
-
-    static void connect(GLGuiWidget* sender, Signal& signal, BaseObject* receiver, Slot executor);
-    void connect(Signal& signal, BaseObject* receiver, Slot executor);
-
-    void disconnect(GLGuiWidget* sender, Signal& signal, BaseObject* receiver);
 
     OrxGui::State state() const { return this->_state; };
Index: trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc
===================================================================
--- trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9391)
+++ trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9406)
@@ -27,5 +27,5 @@
 CREATE_FACTORY(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
 
-using namespace std;
+
 /**
  * @param root The Element to load the GLMenu from
Index: trunk/src/lib/gui/gui_saveable.cc
===================================================================
--- trunk/src/lib/gui/gui_saveable.cc	(revision 9391)
+++ trunk/src/lib/gui/gui_saveable.cc	(revision 9406)
@@ -60,12 +60,12 @@
   void Saveable::load()
   {
-    this->value() = Preferences::getInstance()->getMultiType(this->group->getName(), this->getName(), this->_defaultValue);
-    PRINTF(4)("Loaded to '%s' of group '%s' value '%s'\n", this->getName(), this->group->getName(), this->value().getCString());
+    this->value() = Preferences::getInstance()->getMultiType(this->group->getCName(), this->getCName(), this->_defaultValue);
+    PRINTF(4)("Loaded to '%s' of group '%s' value '%s'\n", this->getCName(), this->group->getCName(), this->value().getCString());
   }
 
   void Saveable::save()
   {
-    Preferences::getInstance()->setMultiType(this->group->getName(), this->getName(), this->value() );
-    PRINTF(4)("Saved to '%s' of group '%s' value '%s'\n", this->getName(), this->group->getName(), this->value().getCString());
+    Preferences::getInstance()->setMultiType(this->group->getCName(), this->getCName(), this->value() );
+    PRINTF(4)("Saved to '%s' of group '%s' value '%s'\n", this->getCName(), this->group->getCName(), this->value().getCString());
   }
 
Index: trunk/src/lib/gui/qt/gui_video.cc
===================================================================
--- trunk/src/lib/gui/qt/gui_video.cc	(revision 9391)
+++ trunk/src/lib/gui/qt/gui_video.cc	(revision 9406)
@@ -50,11 +50,15 @@
       layout->addWidget(fullscreen, 0, 0);
 
+      QtGuiCheckBox* dedicated = new QtGuiCheckBox(CONFIG_NAME_NO_RENDER, this, false);
+      //fullscreen->setName();
+      layout->addWidget(dedicated, 1, 0);
+
       QtGuiCheckBox* wireframe = new QtGuiCheckBox(CONFIG_NAME_WIREFRAME, this, false);
-      layout->addWidget(wireframe, 1, 0);
+      layout->addWidget(wireframe, 2, 0);
 
       {
         QComboBox* resolution = new QtGuiComboBox(CONFIG_NAME_RESOLUTION, this, "640x480");
         resolution->setEditable(true);
-        layout->addWidget(resolution, 2, 0);
+        layout->addWidget(resolution, 3, 0);
         std::vector<QString> resolutions;
         this->getResolutions(resolutions);
Index: trunk/src/lib/lang/base_object.cc
===================================================================
--- trunk/src/lib/lang/base_object.cc	(revision 9391)
+++ trunk/src/lib/lang/base_object.cc	(revision 9406)
@@ -21,9 +21,4 @@
 #include "util/loading/load_param.h"
 #include "class_list.h"
-
-#include "synchronizeable.h"
-
-using namespace std;
-
 
 /**
@@ -50,5 +45,4 @@
   ClassList::removeFromClassList(this);
 
-  //  delete []this->className;
   if (this->xmlElem != NULL)
     delete this->xmlElem;
@@ -61,10 +55,12 @@
 void BaseObject::loadParams(const TiXmlElement* root)
 {
-  // all loadParams should sometime arrive here.
+  // all loadParams should arrive here, and be tested for (root != NULL)
   assert (root != NULL);
 
+  // copy the xml-element for to know how it was loaded.
   if (this->xmlElem != NULL)
     delete this->xmlElem;
   this->xmlElem = root->Clone();
+
   // name setup
   LoadParam(root, "name", this, BaseObject, setName)
@@ -92,4 +88,5 @@
 /**
  * @brief set the name of the Object
+ * @param objectName The new name of the Object.
  */
 void BaseObject::setName (const std::string& objectName)
@@ -164,16 +161,7 @@
  * @returns true on match, false otherwise.
  */
-bool BaseObject::operator==(const std::string& objectName)
+bool BaseObject::operator==(const std::string& objectName) const
 {
   return (this->objectName == objectName);
 }
 
-
-/**
- * @brief displays everything this class is
- * @TODO REIMPLEMENT WITH SENSE.
- */
-void BaseObject::whatIs() const
-{
-
-}
Index: trunk/src/lib/lang/base_object.h
===================================================================
--- trunk/src/lib/lang/base_object.h	(revision 9391)
+++ trunk/src/lib/lang/base_object.h	(revision 9406)
@@ -1,14 +1,20 @@
 /*!
  * @file base_object.h
-  *  Definition of the base object class.
-
-    This is a global handler for all classes.
-*/
+ * @brief Definition of the BaseObject class.
+ *
+ * This is a global handler for all classes Object and Class names
+ *
+ * BaseObject is the class, that handles object registration and
+ * is the only write-access member of ClassList, where the Objects
+ * References are stored.
+ */
 
 
-#ifndef _BASE_OBJECT_H
-#define _BASE_OBJECT_H
+#ifndef __BASE_OBJECT_H_
+#define __BASE_OBJECT_H_
 
 #include "class_id.h"
+#include "sigslot/slot.h"
+
 #include <string>
 
@@ -18,5 +24,5 @@
 
 //! A class all other classes are derived from
-class BaseObject
+class BaseObject : public sigslot::has_slots<>
 {
 
@@ -29,10 +35,14 @@
   void setName (const std::string& newName);
   /** returns the Name of this Object */
-  inline const char* getName ()const { return this->objectName.c_str(); };
+  inline const std::string& getName() const { return this->objectName; };
+  /** returns the Name of this Object as a C-compliant string (const char*) */
+  inline const char* getCName() const { return this->objectName.c_str(); };
   /** @returns the XML-Element with whicht this Object was loaded */
   inline TiXmlNode* getXmlElem() const { return this->xmlElem; };
 
   /** @returns the className of the corresponding Object */
-  inline const char* getClassName() const { return this->className.c_str(); };
+  inline const std::string& getClassName() const { return this->className; }
+  /** @returns the className of the corresponding Object as a C-compliant string (const char*) */
+  inline const char* getClassCName() const { return this->className.c_str(); };
   /** @returns the classID of the corresponding Object */
   inline int getClassID() const { return this->classID; };
@@ -41,9 +51,8 @@
   bool isA (ClassID classID) const;
   bool isA (const std::string& className) const;
-  void whatIs() const;
 
-  bool operator==(const std::string& objectName);
   /** @param classID comparer for a ClassID @returns true on match, false otherwise */
-  bool operator==(ClassID classID) { return this->isA(classID); };
+  bool operator==(ClassID classID) const  { return this->isA(classID); };
+  bool operator==(const std::string& objectName) const;
 
 protected:
@@ -54,5 +63,4 @@
 
 private:
-
   std::string        className;        //!< the name of the class
   long               classID;          //!< this is the id from the class_id.h enumeration
@@ -64,3 +72,3 @@
 };
 
-#endif /* _BASE_OBJECT_H */
+#endif /* __BASE_OBJECT_H_ */
Index: trunk/src/lib/lang/class_list.cc
===================================================================
--- trunk/src/lib/lang/class_list.cc	(revision 9391)
+++ trunk/src/lib/lang/class_list.cc	(revision 9406)
@@ -23,5 +23,5 @@
 #include <cmath>
 
-using namespace std;
+
 
 /**
@@ -61,5 +61,5 @@
 {
   if (unlikely(classList == NULL))
-    ClassList::classList = new list<ClassList>();
+    ClassList::classList = new std::list<ClassList>();
 
   PRINTF(5)("subscribe a '%s'\n", className.c_str() );
@@ -85,5 +85,5 @@
 void ClassList::removeFromClassList(BaseObject* objectPointer)
 {
-  list<ClassList>::iterator cl;
+  std::list<ClassList>::iterator cl;
   for(cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
   {
@@ -110,5 +110,5 @@
       ClassList::classNames.clear();
 
-      list<ClassList>::const_iterator cl;
+      std::list<ClassList>::const_iterator cl;
       for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
         ClassList::classNames.push_back((*cl).className);
@@ -207,5 +207,5 @@
       std::list<BaseObject*>::iterator bo;
       for (bo = cl->objectList.begin(); bo != cl->objectList.end(); bo++)
-        if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+        if (objectName == (*bo)->getName())
           return (*bo);
     }
@@ -213,10 +213,10 @@
   else
   {
-    list<ClassList>::iterator cl;
+    std::list<ClassList>::iterator cl;
     for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
     {
       std::list<BaseObject*>::iterator bo;
       for (bo = (*cl).objectList.begin(); bo != (*cl).objectList.end(); bo++)
-        if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+        if (objectName == (*bo)->getName())
           return (*bo);
     }
@@ -241,5 +241,5 @@
     std::list<BaseObject*>::iterator bo;
     for (bo = cl->objectList.begin(); bo != cl->objectList.end(); bo++)
-      if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+      if (objectName == (*bo)->getName())
         return (*bo);
   }
@@ -268,5 +268,5 @@
   else
   {
-    list<ClassList>::iterator cl;
+    std::list<ClassList>::iterator cl;
     for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
     {
@@ -286,5 +286,5 @@
     std::list<BaseObject*>::iterator bo;
     for (bo = cl->objectList.begin(); bo != cl->objectList.end(); bo++)
-      if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+      if (objectName == (*bo)->getName())
         return true;
   }
@@ -299,5 +299,5 @@
 void ClassList::whatIs(const BaseObject* object)
 {
-  list<ClassList>::iterator cl;
+  std::list<ClassList>::iterator cl;
   for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
     if (object->isA((*cl).classID))
@@ -359,5 +359,5 @@
   int lenCount = 0;
 
-  list<ClassList>::iterator cl;
+  std::list<ClassList>::iterator cl;
   for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
   {
@@ -377,8 +377,8 @@
       {
         PRINT(0)("|  Listing Instances:\n");
-        list<BaseObject*>::const_iterator bo;
+        std::list<BaseObject*>::const_iterator bo;
         for (bo = (*cl).objectList.begin(); bo != (*cl).objectList.end(); bo++)
         {
-          PRINT(0)("|   %s::%s::(0x%.8X->%p ", (*bo)->getClassName(), (*bo)->getName(), (*bo)->getClassID(), (*bo));
+          PRINT(0)("|   %s::%s::(0x%.8X->%p ", (*bo)->getClassCName(), (*bo)->getCName(), (*bo)->getClassID(), (*bo));
           if (debugLevel == 3)
             ClassList::whatIs(*bo);
Index: trunk/src/lib/math/line.cc
===================================================================
--- trunk/src/lib/math/line.cc	(revision 9391)
+++ trunk/src/lib/math/line.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #endif
 
-using namespace std;
+
 
 /**
Index: trunk/src/lib/math/plane.cc
===================================================================
--- trunk/src/lib/math/plane.cc	(revision 9391)
+++ trunk/src/lib/math/plane.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #endif
 
-using namespace std;
+
 
 /**
Index: trunk/src/lib/math/rotation_OBSOLETE.cc
===================================================================
--- trunk/src/lib/math/rotation_OBSOLETE.cc	(revision 9391)
+++ trunk/src/lib/math/rotation_OBSOLETE.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #endif
 
-using namespace std;
+
 
 /**
Index: trunk/src/lib/math/vector2D.cc
===================================================================
--- trunk/src/lib/math/vector2D.cc	(revision 9391)
+++ trunk/src/lib/math/vector2D.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #endif
 
-using namespace std;
+
 
 /////////////
